<?php
/**
 * Block Patterns
 *
 * @package career-development
 * @since 1.0
 */

function career_development_register_block_patterns() {
	$career_development_block_pattern_categories = array(
		'career-development' => array( 'label' => esc_html__( 'Career Development', 'career-development' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'career-development' ) ),
	);

	$career_development_block_pattern_categories = apply_filters( 'career_development_career_development_block_pattern_categories', $career_development_block_pattern_categories );

	foreach ( $career_development_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'career_development_register_block_patterns', 9 );